=== debian/changelog ===
tachyon (0.99~b6+dsx-9) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Change priority extra to optional.

  [ Jerome Benoit ]
  * Debianization:
    - debian/copyright:
      - Format field, secure;
      - Comment field, add;
      - Copyright fields, refresh;
    - debian/templates/control.in:
      - debhelper, bump to 11;
      - Standards Version, bump to 4.3.0 (no change);
      - Vcs-* fields, migration to salsa;
      - Priority fields, update;
    - debian/rules:
      - include pkg-info.mk;
      - percent target, discard --parallel option;
      - get-orig-source target, remove;
    - debian/clean, harden;
    - debian/source/*:
      - d/s/lintian-overrides, refresh;
      - d/s/options, remove;
    - debian/tachyon-doc.{doc-base,links}.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 26 Dec 2018 16:04:14 +0000
