=== debian/control ===
Source: tachyon
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends:
 debhelper (>= 11),
 autoconf-archive, gnulib, libtool,
 pkg-config, help2man,
 mpi-default-dev (>= 1.6), libopenmpi-dev, libmpich-dev,
 libjpeg-dev, libpng-dev,
 libgl1-mesa-dev | libgl-dev
Build-Conflicts:
 glx-diversions
Build-Depends-Indep:
 texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
 texlive-science, texlive-humanities,
 latex2html,
 rdfind, symlinks
Standards-Version: 4.3.0
Homepage: http://jedi.ks.uiuc.edu/~johns/raytracer/
Vcs-Git: https://salsa.debian.org/science-team/tachyon.git
Vcs-Browser: https://salsa.debian.org/science-team/tachyon

Package: libtachyon-serial-0
Provides: libtachyon
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tachyon-doc
Multi-Arch: same
Description: Parallel/Multiprocessor Ray Tracing Library - runtime - serial flavour
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations. Tachyon is built as
 a C callable library, which can be used within applications.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc. Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well. These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others. Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.
 .
 This package provides the shared library required to run third party
 program compiled against the tachyon C library built for serial platforms.
 To compile your own programs you also need to install the concomitant
 libtachyon-serial-0-dev package.

Package: libtachyon-serial-0-dev
Provides: libtachyon-dev
Section: libdevel
Architecture: any
Depends: libtachyon-dev-common (= ${source:Version}), libtachyon-serial-0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Parallel/Multiprocessor Ray Tracing Library - development - serial flavour
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations. Tachyon is built as
 a C callable library, which can be used within applications.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc. Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well. These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others. Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.
 .
 This package contains the static libraries and symbolic links that
 third party developers using the tachyon C library built for serial
 platforms.

Package: libtachyon-mt-0
Provides: libtachyon
Replaces: libtachyon-0.99
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tachyon-doc
Multi-Arch: same
Description: Parallel/Multiprocessor Ray Tracing Library - runtime - MT flavour
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations. Tachyon is built as
 a C callable library, which can be used within applications.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc. Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well. These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others. Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.
 .
 This package provides the shared library required to run third party
 program compiled against the tachyon C library built with multithreading.
 To compile your own programs you also need to install the concomitant
 libtachyon-mt-0-dev package.

Package: libtachyon-mt-0-dev
Provides: libtachyon-dev
Section: libdevel
Architecture: any
Depends: libtachyon-dev-common (= ${source:Version}), libtachyon-mt-0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Parallel/Multiprocessor Ray Tracing Library - development - MT flavour
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations. Tachyon is built as
 a C callable library, which can be used within applications.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc. Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well. These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others. Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.
 .
 This package contains the static libraries and symbolic links that
 third party developers using the tachyon C library built with
 multithreading will need.

Package: libtachyon-openmpi-0
Provides: libtachyon
Section: libs
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64 x32
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tachyon-doc
Multi-Arch: same
Description: Parallel/Multiprocessor Ray Tracing Library - runtime - OpenMPI flavour
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations. Tachyon is built as
 a C callable library, which can be used within applications.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc. Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well. These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others. Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.
 .
 This package provides the shared library required to run third party
 program compiled against the tachyon C library built against OpenMPI.
 To compile your own programs you also need to install the concomitant
 libtachyon-openmpi-0-dev package.

Package: libtachyon-openmpi-0-dev
Provides: libtachyon-dev
Section: libdevel
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64 x32
Depends: libtachyon-dev-common (= ${source:Version}), libtachyon-openmpi-0 (= ${binary:Version}), libopenmpi-dev, ${misc:Depends}
Multi-Arch: same
Description: Parallel/Multiprocessor Ray Tracing Library - development - OpenMPI flavour
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations. Tachyon is built as
 a C callable library, which can be used within applications.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc. Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well. These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others. Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.
 .
 This package contains the static libraries and symbolic links that
 third party developers using the tachyon C library built against
 OpenMPI will need.

Package: libtachyon-mpich-0
Provides: libtachyon
Section: libs
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64el mipsel powerpc ppc64 ppc64el s390x sh4 sparc64 x32
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: tachyon-doc
Multi-Arch: same
Description: Parallel/Multiprocessor Ray Tracing Library - runtime - MPICH flavour
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations. Tachyon is built as
 a C callable library, which can be used within applications.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc. Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well. These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others. Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.
 .
 This package provides the shared library required to run third party
 program compiled against the tachyon C library built against MPICH.
 To compile your own programs you also need to install the concomitant
 libtachyon-mpich-0-dev package.

Package: libtachyon-mpich-0-dev
Provides: libtachyon-dev
Section: libdevel
Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64el mipsel powerpc ppc64 ppc64el s390x sh4 sparc64 x32
Depends: libtachyon-dev-common (= ${source:Version}), libtachyon-mpich-0 (= ${binary:Version}), libmpich-dev, ${misc:Depends}
Multi-Arch: same
Description: Parallel/Multiprocessor Ray Tracing Library - development - MPICH flavour
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations. Tachyon is built as
 a C callable library, which can be used within applications.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc. Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well. These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others. Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.
 .
 This package contains the static libraries and symbolic links that
 third party developers using the tachyon C library built against
 MPICH will need.

Package: libtachyon-dev-common
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Suggests: libtachyon-dev
Multi-Arch: foreign
Description: Parallel/Multiprocessor Ray Tracing Library - development - common material
 Tachyon is a portable, high performance parallel ray tracing system
 supporting MPI and multithreaded implementations. Tachyon is built as
 a C callable library, which can be used within applications.
 .
 Tachyon implements all of the basic geometric primitives such as
 triangles, planes, spheres, cylinders, etc. Some of the goals in
 developing Tachyon were to make it fast and for it to parallelize
 well. These are what set it apart from more full-featured programs
 like POV-Ray, Rayshade, and others. Tachyon supports enough features
 to be an excellent alternative to slower programs for demanding
 animation and scientific visualization tasks.
 .
 This package contains the header files that third party developers
 using the tachyon C library will need.

Package: libtachyon-mpi-dev
Provides: libtachyon-dev
Section: libdevel
Architecture: any
Depends: ${default:libtachyon-mpi-dev}, mpi-default-dev, ${misc:Depends}
Description: Parallel/Multiprocessor Ray Tracing Library - development - default MPI flavour
 Tachyon is a portable, high performance parallel ray tracing system
