=== debian/watch ===
version=3
opts=dversionmangle=s/\+dsx?//,uversionmangle=s/b/~b/ \
http://jedi.ks.uiuc.edu/~johns/raytracer/files/(\d+\.\d+|\d+\.\d+b\d+)/tachyon-(\d+\.\d+|\d+\.\d+b\d+)\.tar\.gz \
debian bash debian/repack
